package java.de.TimeSlice;

/**
 * @author      Burghard Grueter
 * @author      Johannes Schick
 * @version     1.0, 11/06/2000
 * @since       JDK1.2
 */
	/**
	 * interface <pre>TaskData</pre>
	 * is a wrap-around to 	<pre>Task</pre>
	 * to provide a read-only access to 
	 * its data
	 */
public interface TaskData
{
	public String getTaskName (); 
	
	public long getStart ();

	public long getDauer (); 

	public long getPeriode (); 

	public long getRestdauer (); 

	public boolean isActive (); 
	
}

